#ifndef BODY_KUBO_SHOOT_H
#define BODY_KUBO_SHOOT_H

#include <rcsc/player/soccer_action.h>
#include <rcsc/geom/vector_2d.h>

class Body_KuboShoot
    : public rcsc::BodyAction {
private:
    const int M_cycle_dist;
public:

    explicit
    Body_KuboShoot( const int & cycle_dist )
        : M_cycle_dist( cycle_dist)
        { }

    bool execute( rcsc::PlayerAgent * agent );
    
    bool checkShoot( rcsc::PlayerAgent * agent,
                     const rcsc::Vector2D & target_pos,
                     const double & first_speed,
                     const int & count_thr) const;

};

#endif
