#ifndef BODY_KUBO_DRIBBLE_H
#define BODY_KUBO_DRIBBLE_H

#include <rcsc/player/soccer_action.h>
#include <rcsc/geom/vector_2d.h>

#include <vector>

enum{KIWAMU,ONE,KUBO};

//typeKIWAMU,ONE,KUBOΤɤ줫
//طʤϲƤɤ
class Body_KuboDribble
    : public rcsc::BodyAction {
private:
    const int M_type;
    const double M_range; //for kiwamu
    const double M_dist; //for kubo
    const int M_afraid;  //for kubo
    bool kiwamuDribble(rcsc::PlayerAgent * agent); //range
    bool oneOnOneDribble(rcsc::PlayerAgent * agent);
    bool kuboDribble(rcsc::PlayerAgent * agent); //distance,afraid
    bool searchSafetyDir(rcsc::PlayerAgent * agent,
                         const std::vector< rcsc::Vector2D > & kubopoint,
                         int &direction,
                         const int kuboafraid);
        
public:

    //explicit
    Body_KuboDribble( const int & type,
                      const double & kiwamu_range,
                      const double & kubo_dist,
                      const int & kubo_afraid)
        : M_type(type),
          M_range(kiwamu_range),
          M_dist(kubo_dist),
          M_afraid(kubo_afraid)
        { }
    


    bool execute( rcsc::PlayerAgent * agent );

};

#endif
